<?php 
class Slide_mod  extends HC_Controller
{
	public function __construct()
	{
		parent::__construct();
		if(empty($this -> db)){
			$this -> load_db();
		}
	}
	
	
	//广告显示代码
	function get_slide( $sli_sign = 'index' )
	{
		//还不起作用。没处理
		$sql = " SELECT i.*, s.sli_width, s.sli_height  FROM  ".$this -> db -> prefix."sli_item as i left join ".$this -> db -> prefix."slide as s on s.sli_id = i.sli_id  WHERE s.sli_sign = '".$sli_sign."'  ORDER BY i.slt_id  LIMIT 50  ";
		
		$info =  $this -> db -> select_info( $sql );
		foreach($info as $ikey => $ival){
			$info[$ikey]['slt_desc'] = nl2br(strip_tags($ival['slt_desc']));
		}
		return $info;
	}

	//base64_encode是加密,而base64_decode是解密
	function en_json()
	{


	}

	function de_json( )
	{


	}


} 